signature DeflateList =
sig

	(*
	 list routines
	*)
	
	val sort : ('a * 'a -> bool) -> 'a list -> 'a list
	
	val sorted : ('a * 'a -> bool) -> 'a list -> bool
	
	val enum : int -> int -> int list
	
	val replicate : int -> 'a -> 'a list
	
	(* 
	  list-like function for state operations of the type
       f : state -> (out * newstate)
	*)
	
	val state_map : ('a -> 'b * 'a) list -> 'a -> 'b list * 'a

	(* tests *)
	val tests: bool list
	
end
